<?php

/**************    Include cabecera  ***********************************/
require_once dirname(__DIR__) . '/../index_ajax.php';

$filtro_instalacion       = "";
$filtro_instalacion_where = "";
$lista_instalacion        = "";

if (arrayHasOnlyInts( (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'], true))){          
    $lista_instalacion        = implode(",", (array)json_decode($_ENV['FILTROINSTALACION_ARRAY'],true));
    $filtro_instalacion       = " AND instalacion_id in ( $lista_instalacion ) " ;
    $filtro_instalacion_where = " where instalacion_id in ( $lista_instalacion ) " ;
}

// Obtengo servicio del localizador
$sql_servicio = "SELECT servicio_id
                 FROM localizadores
                 WHERE localizador = :localizador " .$filtro_instalacion ;

$result_servicio = $conexion->prepare($sql_servicio);
$result_servicio->execute(array(':localizador' => $_POST['localizador'] ));

$row_servicio    = $result_servicio->fetch();

// Obtengo idiomas del servicio
$sql_idiomas = "SELECT i.*
                FROM servicios s JOIN servicios_idiomas si ON s.id = si.servicio_id
                JOIN idiomas i ON si.idioma_id = i.id
                AND si.servicio_id = :servicio_id " . $filtro_instalacion_where ;

$result_idiomas = $conexion->prepare($sql_idiomas);
$result_idiomas->execute(array(':servicio_id' => $row_servicio['servicio_id'] ));

if ($result_idiomas->rowCount() == 1) {
    $row_idioma = $result_idiomas->fetch();

    echo '<option value="' . $row_idioma['id'] . '">' . $row_idioma['idioma'] . '</option>';
} else {
    echo '<option value="">Seleccione Idioma</option>';

    foreach ($result_idiomas->fetchAll() as $row_idioma) {
        echo '<option value="' . $row_idioma['id'] . '">' . $row_idioma['idioma'] . '</option>';
    }
}
